API referenceJobs
Get a job
GET
bearerAuthheader
AuthorizationBearer <token>A personal API token (lta_...) from the dashboard or latex-api auth login. Also accepted in the X-API-Key header.
id*stringFormat
uuidThe job
application/json- response
job*curl -X GET 'https://latex-api.crafter.run/v1/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "job": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "queued", "mode": "sync", "engine": "pdflatex", "entrypoint": "string", "templateId": "string", "createdAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "finishedAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "options": { "timeoutMs": 0, "bibliography": "auto", "webhookUrl": "string" }, "result": { "cached": true, "durationMs": 0, "exitCode": 0, "errors": 0, "warnings": 0, "pages": 0, "pdfBytes": 0, "pdfUrl": "string", "logUrl": "string", "diagnostics": [ { "severity": "error", "message": "string", "file": "string", "line": 0, "context": "string", "source": "string" } ] }, "error": { "reason": "compile_failed", "message": "string" }, "links": { "self": "string", "events": "string", "pdf": "string", "log": "string" } }}